
From: Thierry Vignaud <tvignaud@mandrakesoft.com>

Add lots of MODULE_DEVICE_TABLE entries.

Signed-off-by: Thierry Vignaud <tvignaud@mandrakesoft.com>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>
Signed-off-by: Vojtech Pavlik <vojtech@suse.cz>
Acked-by: Jeff Garzik <jgarzik@pobox.com>
DESC
module_device_tables-fix
EDESC
DESC
module_device_tables-ne3210-fix
EDESC
DESC
module_device_tables-depca-fix
EDESC
DESC
module_device_tables pciehp fix
EDESC

Not sure about this.  Just delete it.
DESC
module_device_tables-oss-sb-fix
EDESC
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/eisa/pci_eisa.c                |    1 +
 25-akpm/drivers/ide/ppc/pmac.c                 |    1 +
 25-akpm/drivers/media/dvb/b2c2/b2c2-usb-core.c |    1 +
 25-akpm/drivers/message/i2o/pci.c              |    1 +
 25-akpm/drivers/misc/ibmasm/module.c           |    1 +
 25-akpm/drivers/net/amd8111e.c                 |    1 +
 25-akpm/drivers/net/depca.c                    |    1 +
 25-akpm/drivers/net/ne3210.c                   |    1 +
 25-akpm/drivers/net/tulip/de4x5.c              |    1 +
 25-akpm/drivers/pcmcia/vrc4173_cardu.c         |    1 +
 25-akpm/sound/oss/sb_card.c                    |    1 +
 11 files changed, 11 insertions(+)

diff -puN drivers/eisa/pci_eisa.c~module_device_tables drivers/eisa/pci_eisa.c
--- 25/drivers/eisa/pci_eisa.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/eisa/pci_eisa.c	Thu Mar 10 15:38:49 2005
@@ -63,3 +63,4 @@ static int __init pci_eisa_init_module (
 }
 
 device_initcall(pci_eisa_init_module);
+MODULE_DEVICE_TABLE(pci, pci_eisa_pci_tbl);
diff -puN drivers/ide/ppc/pmac.c~module_device_tables drivers/ide/ppc/pmac.c
--- 25/drivers/ide/ppc/pmac.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/ide/ppc/pmac.c	Thu Mar 10 15:38:49 2005
@@ -1539,6 +1539,7 @@ static struct pci_driver pmac_ide_pci_dr
 	.suspend	= pmac_ide_pci_suspend,
 	.resume		= pmac_ide_pci_resume,
 };
+MODULE_DEVICE_TABLE(pci, pmac_ide_pci_match);
 
 void __init
 pmac_ide_probe(void)
diff -puN drivers/media/dvb/b2c2/b2c2-usb-core.c~module_device_tables drivers/media/dvb/b2c2/b2c2-usb-core.c
--- 25/drivers/media/dvb/b2c2/b2c2-usb-core.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/media/dvb/b2c2/b2c2-usb-core.c	Thu Mar 10 15:38:49 2005
@@ -546,3 +546,4 @@ module_exit (b2c2_usb_exit);
 MODULE_AUTHOR(DRIVER_AUTHOR);
 MODULE_DESCRIPTION(DRIVER_DESC);
 MODULE_LICENSE("GPL");
+MODULE_DEVICE_TABLE(usb, b2c2_usb_table);
diff -puN drivers/message/i2o/pci.c~module_device_tables drivers/message/i2o/pci.c
--- 25/drivers/message/i2o/pci.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/message/i2o/pci.c	Thu Mar 10 15:38:49 2005
@@ -525,3 +525,4 @@ void __exit i2o_pci_exit(void)
 };
 
 EXPORT_SYMBOL(i2o_dma_realloc);
+MODULE_DEVICE_TABLE(pci, i2o_pci_ids);
diff -puN drivers/misc/ibmasm/module.c~module_device_tables drivers/misc/ibmasm/module.c
--- 25/drivers/misc/ibmasm/module.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/misc/ibmasm/module.c	Thu Mar 10 15:38:49 2005
@@ -224,4 +224,5 @@ module_exit(ibmasm_exit);
 MODULE_AUTHOR(DRIVER_AUTHOR);
 MODULE_DESCRIPTION(DRIVER_DESC);
 MODULE_LICENSE("GPL");
+MODULE_DEVICE_TABLE(pci, ibmasm_pci_table);
 
diff -puN drivers/net/amd8111e.c~module_device_tables drivers/net/amd8111e.c
--- 25/drivers/net/amd8111e.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/net/amd8111e.c	Thu Mar 10 15:38:49 2005
@@ -105,6 +105,7 @@ Revision History:
 MODULE_AUTHOR("Advanced Micro Devices, Inc.");
 MODULE_DESCRIPTION ("AMD8111 based 10/100 Ethernet Controller. Driver Version 3.0.3");
 MODULE_LICENSE("GPL");
+MODULE_DEVICE_TABLE(pci, amd8111e_pci_tbl);
 module_param_array(speed_duplex, int, NULL, 0);
 MODULE_PARM_DESC(speed_duplex, "Set device speed and duplex modes, 0: Auto Negotitate, 1: 10Mbps Half Duplex, 2: 10Mbps Full Duplex, 3: 100Mbps Half Duplex, 4: 100Mbps Full Duplex");
 module_param_array(coalesce, bool, NULL, 0);
diff -puN drivers/net/depca.c~module_device_tables drivers/net/depca.c
--- 25/drivers/net/depca.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/net/depca.c	Thu Mar 10 15:38:49 2005
@@ -346,6 +346,7 @@ static struct eisa_device_id depca_eisa_
 	{ "DEC4220", de422 },
 	{ "" }
 };
+MODULE_DEVICE_TABLE(eisa, depca_eisa_ids);
 
 static int depca_eisa_probe  (struct device *device);
 
diff -puN drivers/net/ne3210.c~module_device_tables drivers/net/ne3210.c
--- 25/drivers/net/ne3210.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/net/ne3210.c	Thu Mar 10 15:38:49 2005
@@ -358,6 +358,7 @@ static struct eisa_driver ne3210_eisa_dr
 
 MODULE_DESCRIPTION("NE3210 EISA Ethernet driver");
 MODULE_LICENSE("GPL");
+MODULE_DEVICE_TABLE(eisa, ne3210_ids);
 
 int ne3210_init(void)
 {
diff -puN drivers/net/tulip/de4x5.c~module_device_tables drivers/net/tulip/de4x5.c
--- 25/drivers/net/tulip/de4x5.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/net/tulip/de4x5.c	Thu Mar 10 15:38:49 2005
@@ -2124,6 +2124,7 @@ static struct eisa_driver de4x5_eisa_dri
                 .remove  = __devexit_p (de4x5_eisa_remove),
         }
 };
+MODULE_DEVICE_TABLE(eisa, de4x5_eisa_ids);
 #endif
 
 #ifdef CONFIG_PCI
diff -puN drivers/pcmcia/vrc4173_cardu.c~module_device_tables drivers/pcmcia/vrc4173_cardu.c
--- 25/drivers/pcmcia/vrc4173_cardu.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/drivers/pcmcia/vrc4173_cardu.c	Thu Mar 10 15:38:49 2005
@@ -620,3 +620,4 @@ static void __devexit vrc4173_cardu_exit
 
 module_init(vrc4173_cardu_init);
 module_exit(vrc4173_cardu_exit);
+MODULE_DEVICE_TABLE(pci, vrc4173_cardu_id_table);
diff -puN sound/oss/sb_card.c~module_device_tables sound/oss/sb_card.c
--- 25/sound/oss/sb_card.c~module_device_tables	Thu Mar 10 15:38:49 2005
+++ 25-akpm/sound/oss/sb_card.c	Thu Mar 10 15:38:49 2005
@@ -289,6 +289,7 @@ static struct pnp_card_driver sb_pnp_dri
 	.probe         = sb_pnp_probe,
 	.remove        = sb_pnp_remove,
 };
+MODULE_DEVICE_TABLE(pnp_card, sb_pnp_card_table);
 #endif /* CONFIG_PNP */
 
 static int __init sb_init(void)
_
